gtkmm: Gtk::AppChooserDialog Class Reference

gtkmm 3.1.16

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions

# Gtk::AppChooserDialog Class Reference
Dialogs

An application chooser dialog. More...

Inheritance diagram for Gtk::AppChooserDialog:
[legend]
Collaboration diagram for Gtk::AppChooserDialog:
[legend]

List of all members.

## Public Member Functions
virtual | ~AppChooserDialog ()
GtkAppChooserDialog* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkAppChooserDialog* | gobj () const
| Provides access to the underlying C GtkObject.
| AppChooserDialog (const Glib::ustring& content_type)
| AppChooserDialog (const Glib::ustring& content_type, Gtk::Window& parent)
| AppChooserDialog (const Glib::RefPtr< Gio::File >& file)
| AppChooserDialog (const Glib::RefPtr< Gio::File >& file, Gtk::Window& parent)
Widget* | get_widget ()
| Returns the Gtk::AppChooserWidget of this dialog.
const Widget* | get_widget () const
| Returns the Gtk::AppChooserWidget of this dialog.
void | set_heading (const Glib::ustring& heading)
| Sets the text to display at the top of the dialog.
Glib::ustring | get_heading () const
| Returns the text to display at the top of the dialog.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gio::File > > | property_gfile () const
| The GFile used by the app chooser dialog.
Glib::PropertyProxy < Glib::ustring > | property_heading ()
| The text to show at the top of the dialog.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_heading () const
| The text to show at the top of the dialog.
## Related Functions
(Note that these are not member functions.)
Gtk::AppChooserDialog* | wrap (GtkAppChooserDialog* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

An application chooser dialog.

This dialog shows an AppChooserWidget inside a Dialog.

Note that AppChooserDialog does not have any interesting methods of its own. Instead, you should get the embedded AppChooserWidget using get_widget() and call its methods if the generic AppChooser base class API is not sufficient for your needs.

The AppChooserDialog dialog looks like this:

Since gtkmm 3.0:

## Constructor & Destructor Documentation

virtual Gtk::AppChooserDialog::~AppChooserDialog | ( |  | ) | `[virtual]`

Gtk::AppChooserDialog::AppChooserDialog | ( | const Glib::ustring & | content_type | ) | `[explicit]`

Gtk::AppChooserDialog::AppChooserDialog | ( | const Glib::ustring & | content_type,
|  | Gtk::Window& | parent
| ) |  |

Gtk::AppChooserDialog::AppChooserDialog | ( | const Glib::RefPtr< Gio::File > & | file | ) | `[explicit]`

Gtk::AppChooserDialog::AppChooserDialog | ( | const Glib::RefPtr< Gio::File > & | file,
|  | Gtk::Window& | parent
| ) |  |

## Member Function Documentation

Glib::ustring Gtk::AppChooserDialog::get_heading | ( |  | ) | const

Returns the text to display at the top of the dialog.

Returns:
  The text to display at the top of the dialog, or `0`, in which case a default text is displayed.

const Widget* Gtk::AppChooserDialog::get_widget | ( |  | ) | const

Returns the Gtk::AppChooserWidget of this dialog.

Since gtkmm 3.0:

Returns:
  The Gtk::AppChooserWidget of self.

Widget* Gtk::AppChooserDialog::get_widget | ( |  | ) |

Returns the Gtk::AppChooserWidget of this dialog.

Since gtkmm 3.0:

Returns:
  The Gtk::AppChooserWidget of self.

const GtkAppChooserDialog* Gtk::AppChooserDialog::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::AppChooser.

GtkAppChooserDialog* Gtk::AppChooserDialog::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::AppChooser.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gio::File> > Gtk::AppChooserDialog::property_gfile | ( |  | ) | const

The GFile used by the app chooser dialog.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::AppChooserDialog::property_heading | ( |  | ) | const

The text to show at the top of the dialog.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::AppChooserDialog::property_heading | ( |  | ) |

The text to show at the top of the dialog.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::AppChooserDialog::set_heading | ( | const Glib::ustring & | heading | ) |

Sets the text to display at the top of the dialog.

If the heading is not set, the dialog displays a default text.

Parameters:

  heading | A string containing Pango markup.

## Friends And Related Function Documentation

Gtk::AppChooserDialog* wrap | ( | GtkAppChooserDialog * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/appchooserdialog.h